Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo
Class JDOFatalException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.jdo.JDOException
                              |
                              +--javax.jdo.JDOFatalException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JDOFatalDataStoreException, JDOFatalInternalException, JDOFatalUserException

public class JDOFatalException
extends JDOException

This class represents exceptions that are fatal; that is, the condition that caused it cannot be bypassed even if the operation is retried.

Version:
  0.9
Author:
  Craig Russell
See Also:
  Serialized Form

Constructor Summary
`JDOFatalException()` Constructs a new `JDOFatalException` without a detail message.
`JDOFatalException(java.lang.String msg)` Constructs a new `JDOFatalException` with the specified detail message.
`JDOFatalException(java.lang.String msg, java.lang.Object failed)` Constructs a new `JDOFatalException` with the specified detail message and failed object.
`JDOFatalException(java.lang.String msg, java.lang.Throwable nested)` Constructs a new `JDOFatalException` with the specified detail message and nested `Throwable`s.
`JDOFatalException(java.lang.String msg, java.lang.Throwable[] nested)` Constructs a new `JDOFatalException` with the specified detail message and nested `Throwable`s.
`JDOFatalException(java.lang.String msg, java.lang.Throwable[] nested, java.lang.Object failed)` Constructs a new `JDOFatalException` with the specified detail message, nested `Throwable`s, and failed object.
`JDOFatalException(java.lang.String msg, java.lang.Throwable nested, java.lang.Object failed)` Constructs a new `JDOFatalException` with the specified detail message, nested `Throwable`s, and failed object.

Methods inherited from class javax.jdo.JDOException
`getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDOFatalException

    public JDOFatalException()

  Constructs a new `JDOFatalException` without a detail message.

### JDOFatalException

    public JDOFatalException(java.lang.String msg)

  Constructs a new `JDOFatalException` with the specified detail message.
  Parameters:
    `msg` - the detail message.

### JDOFatalException

    public JDOFatalException(java.lang.String msg,
                             java.lang.Throwable[] nested)

  Constructs a new `JDOFatalException` with the specified detail message and nested `Throwable`s.
  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable[]`.

### JDOFatalException

    public JDOFatalException(java.lang.String msg,
                             java.lang.Throwable nested)

  Constructs a new `JDOFatalException` with the specified detail message and nested `Throwable`s.
  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable`.

### JDOFatalException

    public JDOFatalException(java.lang.String msg,
                             java.lang.Object failed)

  Constructs a new `JDOFatalException` with the specified detail message and failed object.
  Parameters:
    `msg` - the detail message.
    `failed` - the failed object.

### JDOFatalException

    public JDOFatalException(java.lang.String msg,
                             java.lang.Throwable[] nested,
                             java.lang.Object failed)

  Constructs a new `JDOFatalException` with the specified detail message, nested `Throwable`s, and failed object.
  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable[]`.
    `failed` - the failed object.

### JDOFatalException

    public JDOFatalException(java.lang.String msg,
                             java.lang.Throwable nested,
                             java.lang.Object failed)

  Constructs a new `JDOFatalException` with the specified detail message, nested `Throwable`s, and failed object.
  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable`.
    `failed` - the failed object.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD